Subject: bug#54562: 28.0.91; Emoji sequence not composed

From: Robert Pluim <[email-masked]>
Date: Fri, 25 Mar 2022 15:14:40 +0100

>>>>> On Fri, 25 Mar 2022 22:05:32 +0800, Po Lu <[email-masked]> said:

    Po> Eli Zaretskii <[email-masked]> writes:
    >> Why do you think what they do is "correct"?  AFAIK, we use the Unicode
    >> Standard's definition of Emoji sequences to decide when U+FE0F
    >> warrants an Emoji representation.  maybe those other applications
    >> default to Emoji representation of every character that can possibly
    >> have such a representation, but in Emacs such a default cannot make
    >> sense.

    Po> I don't know whether or not their behavior is correct, but this sequence
    Po> is seen in the wild (for example, the Mac OS input methods generate
    Po> these sequences), so maybe it is worth supporting.

Iʼve just tested adding U+20E3 to
`auto-composition-emoji-eligible-codepoints', and it seems to work OK.

Robert
--